#!/bin/bash

SUSER=$1
SPASS=$2
MONTH=$(date +"%m")
YEAR=$(date +"%Y")
if [[ !( -z $3 && -z $4 ) ]]
then
	MONTH=$3
	YEAR=$4
fi

PAGENC="windows-1251"
OUTENC="UTF-8"
BASELINK="http://service.sibnet.ru"
CHECKSUM=$(curl $BASELINK/pls/startip/www.GetHomePage -d "p_lang=RUS" -d "p_logname=${SUSER}" -d "p_pwd=${SPASS}" 2>/dev/null | grep REFRESH | sed -e 's/.*p_chksum=\([0-9]\+\)">$/\1/')

[ -z "${CHECKSUM}" ] || curl "$BASELINK/pls/startip/www.PageViewer?page_name=S*CLI_DIALUP_REP_INV&logname=${SUSER}&chksum=${CHECKSUM}&n1=p_start_month&v1=${MONTH}&n2=p_start_year&v2=${YEAR}&n3=p_finish_month&v3=${MONTH}&n4=p_finish_year&v4=${YEAR}&n5=p_username&n6=p_page_num&v6=1&n7=p_row_count&v7=50" 2>/dev/null | iconv -f $PAGENC -t $OUTENC  | grep TD | egrep "${SUSER}|foot|Мб" | perl -e 'my $total = 0;
	my $prise = {};
	while(my $str = <STDIN>){
		chomp $str;
		if($str =~ /foot/) {
			my @matches = ($str =~ /[0-9.]+/g);
			$total = $matches[scalar(@matches) - 1];
		} else {
			@parts = split m!\s*<[^>]+>\s*!, $str;
			@parts = grep {$_ !~ /^\s*$/} @parts;
			$prise->{$parts[0]} = {
			mb => $parts[1],
			rur => $parts[2]
			};
		}
	}

	print "$total\n";
	foreach my $key (sort(keys(%$prise))) {
		my $row = $prise->{$key};
		if ($row->{mb} !~ /^0 Мб$/) {
		print $key, "\t", $row->{mb}, "\t", $row->{rur}, "\n";
	}
	}'
